"Best analytics tool I've used in 14 years"

Breakdowns API

Use breakdown endpoints to rank dimensions and understand what drives traffic and revenue.

EndpointMethodPathPurpose
PagesGET/api/v1/analytics/pagesTop pages by visitors, revenue, and payments
ReferrersGET/api/v1/analytics/referrersTraffic sources and referrers
CountriesGET/api/v1/analytics/countriesCountries
RegionsGET/api/v1/analytics/regionsRegions or states
CitiesGET/api/v1/analytics/citiesCities
DevicesGET/api/v1/analytics/devicesDesktop, mobile, tablet
BrowsersGET/api/v1/analytics/browsersBrowsers
Operating systemsGET/api/v1/analytics/operating-systemsOperating systems
CampaignsGET/api/v1/analytics/campaignsUTM fields, ref, source, and via
HostnamesGET/api/v1/analytics/hostnamesHostnames
All breakdown endpoints support common analytics parameters such as startAt, endAt, timezone, limit, offset, fields, and filters like filter_country, filter_device, filter_page, and filter_goal.

Endpoint examples

GET /api/v1/analytics/pages?limit=20&filter_country=is:United States
GET /api/v1/analytics/referrers?limit=20&startAt=2026-05-01&endAt=2026-05-19
GET /api/v1/analytics/countries?fields=country,visitors,revenue,payments
GET /api/v1/analytics/regions?filter_country=is:United States
GET /api/v1/analytics/cities?limit=50&filter_device=is:mobile
GET /api/v1/analytics/devices?fields=device,visitors,revenue,payments
GET /api/v1/analytics/browsers?filter_country=is:France
GET /api/v1/analytics/operating-systems?limit=20
GET /api/v1/analytics/campaigns?fields=utm_source,utm_medium,utm_campaign,visitors
GET /api/v1/analytics/hostnames?limit=20

Revenue fields

Breakdown revenue is attribution data: it shows which pages, sources, countries, and devices influenced revenue. For full business totals, use Analytics.

✍️ Something missing? Suggest features.

🤖 AI agent or LLM? Read this page as markdown